aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2014-06-30 20:30:39 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2014-06-30 20:30:39 -0500
commit56112a6f1f176696e5f39a86fe4b52017ccdd04c (patch)
tree4f81e0042433f6e4fc50633c988346c9436add68
parent09d81e86f210acf5270ea4bd0fa7319a49f88131 (diff)
sysfs: Do not mount openrc cgroup if it is already mounted
We were not checking to see if /sys/fs/cgroup/openrc was already mounted before we mounted it. This fixes that issue. Thanks to Robin Johnson <robbat2@gentoo.org> for pointing this out.
-rw-r--r--init.d/sysfs.in1
1 files changed, 1 insertions, 0 deletions
diff --git a/init.d/sysfs.in b/init.d/sysfs.in
index 1dba73f9..9edd9155 100644
--- a/init.d/sysfs.in
+++ b/init.d/sysfs.in
@@ -100,6 +100,7 @@ mount_misc()
mount_cgroups()
{
mountinfo -q /sys/fs/cgroup || return 0
+ mountinfo -q /sys/fs/cgroup/openrc || return 0
local agent="@LIBEXECDIR@/sh/cgroup-release-agent.sh"
mkdir /sys/fs/cgroup/openrc